OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
OMToolkit::Types::ModuleMesh< AScalar > Class Template Reference

`#include <OMTypes.h>`

Inheritance diagram for OMToolkit::Types::ModuleMesh< AScalar >:

## Public Types
typedef AScalar | AttributeScalar
typedef OMSerializableMatrix < AttributeScalar > | VertexMatrix
typedef OMSerializableVector < AttributeScalar > | VertexAttributeVector

## Public Member Functions
| ModuleMesh ()
Normal & | curvature (VertexHandle vertex)
AttributeScalar & | curvatureMagnitude (VertexHandle vertex)
OpenMesh::VPropHandleT < AttributeScalar > | getCurvatureMagHandle ()
OpenMesh::VPropHandleT< Normal > | getCurvatureHandle ()
VertexMatrix & | getMatrix (VertexHandle vertex)
VertexAttributeVector & | getAttributes (VertexHandle vertex)
OpenMesh::VPropHandleT < VertexMatrix > | getMatrixHandle ()
OpenMesh::VPropHandleT< int > | getFlagHandle ()
OpenMesh::VPropHandleT < VertexAttributeVector > | getVertexAttributeHandle ()

## Public Attributes
OpenMesh::VPropHandleT< int > | m_flag

## Detailed Description

### template<typename AScalar>
class OMToolkit::Types::ModuleMesh< AScalar >

Type of mesh used in modules - necessary for maintain compatibility For each property is necessary to define following: PropHandleT<T> property handle Accessing methods are advised In constructor, add property and set it to be persistent

Template Parameters

  AttributeScalar | Is scalar type used for all added attributes (matrices, vectors, curvature etc)

## Member Typedef Documentation

template<typename AScalar >

typedef AScalar OMToolkit::Types::ModuleMesh< AScalar >::AttributeScalar

template<typename AScalar >

typedef OMSerializableVector<AttributeScalar> OMToolkit::Types::ModuleMesh< AScalar >::VertexAttributeVector

template<typename AScalar >

typedef OMSerializableMatrix<AttributeScalar> OMToolkit::Types::ModuleMesh< AScalar >::VertexMatrix

## Constructor & Destructor Documentation

template<typename AScalar >

OMToolkit::Types::ModuleMesh< AScalar >::ModuleMesh | ( |  | ) |
| inline

In constructor, we must add new property with unique name and set it to be persistent

## Member Function Documentation

template<typename AScalar >

Normal& OMToolkit::Types::ModuleMesh< AScalar >::curvature | ( | VertexHandle | vertex | ) |
| inline

Access method for curvature direction

Parameters

  vertex | handle

Returns
  Curvature direction

template<typename AScalar >

AttributeScalar& OMToolkit::Types::ModuleMesh< AScalar >::curvatureMagnitude | ( | VertexHandle | vertex | ) |
| inline

Access method for curvature magnitude

Parameters

  vertex | handle

Returns
  Curvature magnitude

template<typename AScalar >

VertexAttributeVector& OMToolkit::Types::ModuleMesh< AScalar >::getAttributes | ( | VertexHandle | vertex | ) |
| inline

Method returns a Vertex attributes vector

Returns
  Desired vector

template<typename AScalar >

OpenMesh::VPropHandleT<Normal> OMToolkit::Types::ModuleMesh< AScalar >::getCurvatureHandle | ( |  | ) |
| inline

Method returns a handle to curvature vector property

Returns
  Desired handle

template<typename AScalar >

OpenMesh::VPropHandleT<AttributeScalar> OMToolkit::Types::ModuleMesh< AScalar >::getCurvatureMagHandle | ( |  | ) |
| inline

Method returns a handle to curvature magnitude property

Returns
  Desired handle

template<typename AScalar >

OpenMesh::VPropHandleT<int> OMToolkit::Types::ModuleMesh< AScalar >::getFlagHandle | ( |  | ) |
| inline

template<typename AScalar >

VertexMatrix& OMToolkit::Types::ModuleMesh< AScalar >::getMatrix | ( | VertexHandle | vertex | ) |
| inline

Method returns a Vertex matrix

Returns
  Desired matrix

template<typename AScalar >

OpenMesh::VPropHandleT<VertexMatrix> OMToolkit::Types::ModuleMesh< AScalar >::getMatrixHandle | ( |  | ) |
| inline

Method returns a handle to Vertex matrix

Returns
  Desired handle

template<typename AScalar >

OpenMesh::VPropHandleT<VertexAttributeVector> OMToolkit::Types::ModuleMesh< AScalar >::getVertexAttributeHandle | ( |  | ) |
| inline

Method returns a handle to Vertex attribute vector

Returns
  Desired handle

## Member Data Documentation

template<typename AScalar >

OpenMesh::VPropHandleT<int> OMToolkit::Types::ModuleMesh< AScalar >::m_flag

The documentation for this class was generated from the following file:

- trunk/include/OMToolkit/OMTypes.h